Bug 32099 - Consistent classes for primary buttons: Assorted templates
Summary: Consistent classes for primary buttons: Assorted templates
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords: rel_22_11_candidate
Depends on:
Blocks: 32067
  Show dependency treegraph
 
Reported: 2022-11-03 15:32 UTC by Owen Leonard
Modified: 2022-11-14 12:41 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.11.00


Attachments
Bug 32099: Consistent classes for primary buttons: Assorted templates (18.48 KB, patch)
2022-11-03 17:06 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 32099: Consistent classes for primary buttons: Assorted templates (18.54 KB, patch)
2022-11-10 18:21 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 32099: Consistent classes for primary buttons: Assorted templates (18.62 KB, patch)
2022-11-14 12:37 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2022-11-03 15:32:11 UTC
As part of Bug 32067 - [OMNIBUS] Consistent classes for submit and/or primary buttons:

This patch will update buttons in remaining unchanged templates so that buttons which are currently styled as primary buttons will have the the "btn btn-primary" classes.

In some places, the classes have been added to buttons which were not input[type='submit'] but which should be styled as primary.
Comment 1 Owen Leonard 2022-11-03 17:06:37 UTC
Created attachment 143140 [details] [review]
Bug 32099: Consistent classes for primary buttons: Assorted templates

This patch makes changes the button markup in various assorted
templates so that all submit buttons and any buttons that should should
be styled as primary buttons have the Bootstrap class "btn btn-primary."

To test, apply the patch and view the following pages to confirm that
everything looks correct. In most cases there are no visible changes.

- Staff interface login
- Authorities -> Add/edit
- Authorities -> Merge
- ILL -> ILL requests
- Tools -> Patron lists
- Administration -> Manage plugins -> Upload plugin
- Point of sale
- Point of sale -> Transaction history
- Holds
- Suggestions
- Tags
- Calendar
Comment 2 Katrin Fischer 2022-11-10 18:17:11 UTC
Looking here...
Comment 3 Katrin Fischer 2022-11-10 18:21:42 UTC
Created attachment 143699 [details] [review]
Bug 32099: Consistent classes for primary buttons: Assorted templates

This patch makes changes the button markup in various assorted
templates so that all submit buttons and any buttons that should should
be styled as primary buttons have the Bootstrap class "btn btn-primary."

To test, apply the patch and view the following pages to confirm that
everything looks correct. In most cases there are no visible changes.

- Staff interface login
- Authorities -> Add/edit
- Authorities -> Merge
- ILL -> ILL requests
- Tools -> Patron lists
- Administration -> Manage plugins -> Upload plugin
- Point of sale
- Point of sale -> Transaction history
- Holds
- Suggestions
- Tags
- Calendar

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Tomás Cohen Arazi 2022-11-14 12:37:23 UTC
Created attachment 143826 [details] [review]
Bug 32099: Consistent classes for primary buttons: Assorted templates

This patch makes changes the button markup in various assorted
templates so that all submit buttons and any buttons that should should
be styled as primary buttons have the Bootstrap class "btn btn-primary."

To test, apply the patch and view the following pages to confirm that
everything looks correct. In most cases there are no visible changes.

- Staff interface login
- Authorities -> Add/edit
- Authorities -> Merge
- ILL -> ILL requests
- Tools -> Patron lists
- Administration -> Manage plugins -> Upload plugin
- Point of sale
- Point of sale -> Transaction history
- Holds
- Suggestions
- Tags
- Calendar

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 5 Tomás Cohen Arazi 2022-11-14 12:41:11 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!